Interface MinaSftpEndpointBuilderFactory.MinaSftpBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
MinaSftpEndpointBuilderFactory
public static interface MinaSftpEndpointBuilderFactory.MinaSftpBuilders
-
Method Summary
Modifier and TypeMethodDescriptionminaSftp()MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD.MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD.MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD.
-
Method Details
-
minaSftp
MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD. Category: file Since: 4.18 Maven coordinates: org.apache.camel:camel-mina-sftp- Returns:
- the dsl builder for the headers' name.
-
minaSftp
MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD. Category: file Since: 4.18 Maven coordinates: org.apache.camel:camel-mina-sftp Syntax:mina-sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
path- host:port/directoryName- Returns:
- the dsl builder
-
minaSftp
default MinaSftpEndpointBuilderFactory.MinaSftpEndpointBuilder minaSftp(String componentName, String path) MINA SFTP (camel-mina-sftp) Upload and download files to/from SFTP servers using Apache MINA SSHD. Category: file Since: 4.18 Maven coordinates: org.apache.camel:camel-mina-sftp Syntax:mina-sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host:port/directoryName- Returns:
- the dsl builder
-